local function create_fuel(name)
    ---@type data.ItemPrototype
    local item = {
        type = "item",
        name = name,
        icon = "__base__/graphics/icons/solid-fuel.png",
        icon_size = 64,
        stack_size = 50,

        fuel_value = "10MJ",
        fuel_category = "chemical",
    }
    data:extend{item}
    return item
end
local function create_fuel_recipe(ingredient, product)
    ---@type data.RecipePrototype
    local recipe = {
        type = "recipe",
        name = product.name,
        ingredients = {
            { name = ingredient.name, amount = 1},
        },
        allow_as_intermediate = false,
        allow_decomposition = false,
        result = product.name,
    }
    data:extend{recipe}
    return recipe
end

local fuel_a = create_fuel("fuel-a")
local fuel_b = create_fuel("fuel-b")

create_fuel_recipe(fuel_a, fuel_b)
create_fuel_recipe(fuel_b, fuel_a)

fuel_a.burnt_result = fuel_b.name
fuel_b.burnt_result = fuel_a.name
